package com.steerinfo.ems.trmactvalue.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.HashMap;

public class TRmActValue implements IBasePO<HashMap<String, Object>> {
    /**
     * 时间(CLOCK,VARCHAR,40)
     */
    @ApiModelProperty(value="时间",required=false)
    private String clock;

    /**
     * 项目ID(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="项目ID",required=false)
    private String itemid;

    /**
     * 粒度代码(TIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value="粒度代码",required=false)
    private String timegranid;

    /**
     * 计算值(ACTUALVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="计算值",required=true)
    private BigDecimal actualvalue;

    /**
     * 修正值(CORRECTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="修正值",required=true)
    private BigDecimal correctvalue;

    /**
     * 最终值(APPORTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="最终值",required=true)
    private BigDecimal apportvalue;

    /**
     * 折标值(STDVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="折标值",required=true)
    private BigDecimal stdvalue;

    /**
     * 累计值(SUMVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="累计值",required=true)
    private BigDecimal sumvalue;

    /**
     * 累计折标值(SUMSTDVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="累计折标值",required=true)
    private BigDecimal sumstdvalue;

    /**
     * 记录创建时间(REC_TIME,VARCHAR,40)
     */
    @ApiModelProperty(value="记录创建时间",required=true)
    private String recTime;

    /**
     * 班组(TEAMSORT,VARCHAR,10)
     */
    @ApiModelProperty(value="班组",required=true)
    private String teamsort;

    /**
     * 修改次数(MODIFYFLAG,DECIMAL,4)
     */
    @ApiModelProperty(value="修改次数",required=true)
    private Short modifyflag;

    /**
     * 是否锁定(ISLOCK,VARCHAR,1)
     */
    @ApiModelProperty(value="是否锁定",required=true)
    private String islock;

    /**
     * 锁定报表ID(LOCKID,VARCHAR,64)
     */
    @ApiModelProperty(value="锁定报表ID",required=true)
    private String lockid;

    /**
     * 单耗值(UCVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="单耗值",required=true)
    private BigDecimal ucvalue;

    /**
     * 累计单耗值(SUMUCVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="累计单耗值",required=true)
    private BigDecimal sumucvalue;

    /**
     * 修改时间(UPTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String uptime;

    @ApiModelProperty(value = "修改人",required = true)
    private String  userid;
    
    /**
     * 创建人(CRMAN,VARCHAR,40)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String crman;

    /**
     * IF_EMS_MES_ACTITEM.ID(FID,BIGINT,30)
     */
    @ApiModelProperty(value="IF_EMS_MES_ACTITEM.ID",required=true)
    private Long fid;

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid = userid == null  ? null : userid.trim();
    }

    private static final long serialVersionUID = 1L;

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public BigDecimal getActualvalue() {
        return actualvalue;
    }

    public void setActualvalue(BigDecimal actualvalue) {
        this.actualvalue = actualvalue;
    }

    public BigDecimal getCorrectvalue() {
        return correctvalue;
    }

    public void setCorrectvalue(BigDecimal correctvalue) {
        this.correctvalue = correctvalue;
    }

    public BigDecimal getApportvalue() {
        return apportvalue;
    }

    public void setApportvalue(BigDecimal apportvalue) {
        this.apportvalue = apportvalue;
    }

    public BigDecimal getStdvalue() {
        return stdvalue;
    }

    public void setStdvalue(BigDecimal stdvalue) {
        this.stdvalue = stdvalue;
    }

    public BigDecimal getSumvalue() {
        return sumvalue;
    }

    public void setSumvalue(BigDecimal sumvalue) {
        this.sumvalue = sumvalue;
    }

    public BigDecimal getSumstdvalue() {
        return sumstdvalue;
    }

    public void setSumstdvalue(BigDecimal sumstdvalue) {
        this.sumstdvalue = sumstdvalue;
    }

    public String getRecTime() {
        return recTime;
    }

    public void setRecTime(String recTime) {
        this.recTime = recTime == null ? null : recTime.trim();
    }

    public String getTeamsort() {
        return teamsort;
    }

    public void setTeamsort(String teamsort) {
        this.teamsort = teamsort == null ? null : teamsort.trim();
    }

    public Short getModifyflag() {
        return modifyflag;
    }

    public void setModifyflag(Short modifyflag) {
        this.modifyflag = modifyflag;
    }

    public String getIslock() {
        return islock;
    }

    public void setIslock(String islock) {
        this.islock = islock == null ? null : islock.trim();
    }

    public String getLockid() {
        return lockid;
    }

    public void setLockid(String lockid) {
        this.lockid = lockid == null ? null : lockid.trim();
    }

    public BigDecimal getUcvalue() {
        return ucvalue;
    }

    public void setUcvalue(BigDecimal ucvalue) {
        this.ucvalue = ucvalue;
    }

    public BigDecimal getSumucvalue() {
        return sumucvalue;
    }

    public void setSumucvalue(BigDecimal sumucvalue) {
        this.sumucvalue = sumucvalue;
    }

    public Long getFid() {
        return fid;
    }

    public void setFid(Long fid) {
        this.fid = fid;
    }

    public String getUptime() {
		return uptime;
	}

	public void setUptime(String uptime) {
		this.uptime = uptime;
	}

	public String getCrman() {
		return crman;
	}

	public void setCrman(String crman) {
		this.crman = crman;
	}

	@Override
    public String toString() {
		StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", clock=").append(clock);
        sb.append(", itemid=").append(itemid);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", actualvalue=").append(actualvalue);
        sb.append(", correctvalue=").append(correctvalue);
        sb.append(", apportvalue=").append(apportvalue);
        sb.append(", stdvalue=").append(stdvalue);
        sb.append(", sumvalue=").append(sumvalue);
        sb.append(", sumstdvalue=").append(sumstdvalue);
        sb.append(", recTime=").append(recTime);
        sb.append(", teamsort=").append(teamsort);
        sb.append(", modifyflag=").append(modifyflag);
        sb.append(", islock=").append(islock);
        sb.append(", lockid=").append(lockid);
        sb.append(", ucvalue=").append(ucvalue);
        sb.append(", sumucvalue=").append(sumucvalue);
        sb.append(", fid=").append(fid);
        sb.append(", uptime=").append(uptime);
        sb.append(", userid=").append(userid);
        sb.append(", crman=").append(crman);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

	@Override
	public HashMap<String, Object> getId() {
		HashMap<String, Object> m = new HashMap<String, Object>();
		m.put("clock", clock);
		m.put("timegranid", timegranid);
		m.put("itemid", itemid);
		return m;
	}

	@Override
	public void setId(HashMap<String, Object> id) {
		this.clock = id.get("clock") == null ? "" : id.get("clock").toString().trim();
		this.timegranid = id.get("timegranid") == null ? "" : id.get("timegranid").toString().trim();
		this.itemid = id.get("itemid") == null ? "" : id.get("itemid").toString().trim();
	}
}